跳至內容

FLUX 2 [klein] 9b Base Trainer

整合

模型 id flux-2-klein-9b-base-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $4.30 4,300 API 點數 在此頁面執行

取得 API 金鑰
Black Forest Labs 訓練

從含圖片及可選說明文字檔的 zip 訓練 FLUX.2 klein 9B 的風格 LoRA

Black Forest Labs · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

風格一致圖像的 zip 封存檔 URL;建議至少提供 10 張,且數量越多越好。對於每組圖像,可在名為 ROOT.txt 的相符文字檔中提供編輯指示,例如 photo.txt。缺少文字檔時會回退至 default_caption;若該回退值也不存在,訓練會失敗。

預設 1000

訓練的總步數。

進階 default_caption · learning_rate

用於取代缺少說明檔案的說明;使用 None 則會將缺少說明檔案視為錯誤。

預設 5.0e-05

用於可訓練參數的學習率。

POST /run/flux-2-klein-9b-base-trainer?wait=20 報價 → $4.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 FLUX 2 [klein] 9b Base Trainer

在由 `image_data_url` 提供的圖片 zip 封存檔上微調 LoRA;建議至少提供 10 張圖片,也可選擇提供相符的文字說明檔。`steps` 範圍為 100 到 20000(預設為 1000),並可調整 `learning_rate`,以及為缺少說明的圖片設定 `default_caption`。回傳設定檔和 diffusers LoRA 權重。

參數

名稱類型 預設值允許值 說明
image_data_url必填
類型string
風格一致圖像的 zip 封存檔 URL;建議至少提供 10 張,且數量越多越好。對於每組圖像,可在名為 ROOT.txt 的相符文字檔中提供編輯指示,例如 photo.txt。缺少文字檔時會回退至 default_caption;若該回退值也不存在,訓練會失敗。
steps選填
類型integer
預設值1000
100 – 20,000
訓練的總步數。
learning_rate選填
類型number
預設值5.0e-05
用於可訓練參數的學習率。
default_caption選填
類型string | null
用於取代缺少說明檔案的說明;使用 None 則會將缺少說明檔案視為錯誤。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-klein-9b-base-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4300,
    "usd": "4.30",
    "charged": 4300,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
diffusers_lora_file
object {url, content_type, file_name, file_size}指向 diffusers 格式訓練後 LoRA 權重的 URL。
config_file
object {url, content_type, file_name, file_size}指向訓練後模型設定檔的 URL。

更多模型:訓練

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/flux-2-klein-9b-base-trainer.md. 所有模型與指南: https://doitong.com/developers/llms.txt